<template>
  <v-card-actions class="d-flex justify-end">
    <v-btn
      depressed
      color="primary"
      style="padding: 15px"
      rounded
      outlined
      @click="cancel"
    >
      CANCELAR
    </v-btn>
    <v-btn
      depressed
      color="primary"
      style="padding: 15px"
      rounded
      :disabled="disabled"
      @click="save"
    >
      GUARDAR
    </v-btn>
  </v-card-actions>
</template>

<script>
export default {
  name: 'ButtonsRegisterForm',
  props: {
    disabled: {
      type: Boolean,
      default: false,
    },
  },
  methods: {
    save() {
      this.$emit('saveUser');
    },
    cancel() {
      this.$emit('cancel');
    },
  },
};
</script>
